ScXMLXPathEvaluator Class Reference
State Chart XML Classes

implements the XPath evaluator. More...

`#include <Inventor/scxml/ScXMLXPathEvaluator.h>`

Inheritance diagram for ScXMLXPathEvaluator:

## Public Member Functions

virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual ScXMLDataObj * | evaluate (const char *expression) const
virtual SbBool | setAtLocation (const char *location, ScXMLDataObj *obj)
virtual ScXMLDataObj * | locate (const char *location) const
Public Member Functions inherited from ScXMLEvaluator
virtual void | setStateMachine (ScXMLStateMachine *sm)
ScXMLStateMachine * | getStateMachine (void) const
virtual void | clearTemporaryVariables (void)
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLEvaluator
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Additional Inherited Members

Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

implements the XPath evaluator.

## Member Function Documentation

## getTypeId()

SoType ScXMLXPathEvaluator::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLEvaluator.

## evaluate()

ScXMLDataObj * ScXMLXPathEvaluator::evaluate | ( | const char * | expression | ) | const

virtual

Implements ScXMLEvaluator.

## setAtLocation()

SbBool ScXMLXPathEvaluator::setAtLocation | ( | const char * | location,
|  | ScXMLDataObj * | obj )

virtual

Implements ScXMLEvaluator.

## locate()

ScXMLDataObj * ScXMLXPathEvaluator::locate | ( | const char * | location | ) | const

virtual

Implements ScXMLEvaluator.

The documentation for this class was generated from the following files:

- ScXMLXPathEvaluator.h
- ScXMLXPathEvaluator.cpp